Please upgrade your Yún - latest is 1.5.1

Hi everyone

a newer release of OpenWrt-Yun is available. You can download it from http://arduino.cc/en/Main/Software#toc8

1.5.1 includes both bug fixes and new stuff. The most importat stuff is:

  • various upgrades of nodejs and its modules
  • a better bridgeclient is available for both python and php
  • more information is displayed on the webpanel

Compared to 1.5.0 this release contains:

OpenWrt-Yun (Linux side)

  • sync with latest stable OpenWrt
  • added commented line in rc.local that disables kernel console debug messages
  • upgraded nodejs to latest 0.10.32
  • upgraded node-socket.io modules to 1.x
  • added node-socket.io-client-legacy and node-socket.io-legacy (0.9.x series of socket.io)
  • upgraded all the other nodejs modules
  • upgraded python bridge (see below)

Bridge (python and php)

Web Panel

The complete list of changes is available at openwrt-yun/ChangeLog at master · arduino/openwrt-yun · GitHub

sync with latest stable OpenWrt

Means sync with 14.07?

G

sonnyyu:

sync with latest stable OpenWrt

Means sync with 14.07?

Good question: while we were packing this release, they released openwrt 14.07.
No, they just pushed some changes to version 12.09 and we merged them

Issue after upgrade to the latest version of OpenWrt Image for Yún - Ver 1.5.1

I upgraded to the latest version of the OpenWrt Image for the Yún Version 1.5.1 and used the easy procedure as instructed on the website by Arduino.
After the upgrade the USB LED stays on even after rebooting the entire board many times. Before the upgrade I only had the ON led lit when power was applied to the board. Now I have both the ON(green LED)and USB(white LED) lit with power is applied and a sketch is running.

Is this normal? Was this changed in the new image?

Thanks BJ

Please do not post the same question in multiple topics http://forum.arduino.cc/index.php?topic=272091.msg1918747#msg1918747

If I buy now from the Arduino Official Store | Boards Shields Kits Accessories

What is the version that is already installed by default?

It sounds like as node.js, socket.io, socket.io-client and the node-serial is automatically installed when upgrading this firmware. Is this the case or do I still need to load it via opkg after installation?

If you just want the upgraded nodejs, just upgrade them with

opkg update
upgrade-all

blfuentes:
If I buy now from the Arduino Official Store | Boards Shields Kits Accessories

What is the version that is already installed by default?

It's still 1.0: we are shipping the upgraded images to the factory

I upgraded to 1.5.1 and am trying to install node.js. I install the upgrade, then if I try to install node using ‘opkg install node’ I do not have space on the device. So I follow this: http://arduino.cc/en/Tutorial/ExpandingYunDiskSpace gets me more space, however can no longer install node. after expanding the space when running ‘opkg install node’ I get:

Unknown package ‘node’.
Collected errors:

  • opkg_install_cmd: Cannot install package node.

Before I expand to the SD card it works but run out of space, if I expand I get the space but can not install. Any ideas?

did u run opkg update before opkg install?